﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Windows.Media;

namespace iDigitalRoman.controls
{
	public class ErrorToColorConverter : IValueConverter
	{
		static SolidColorBrush	ErrorBrush	= new SolidColorBrush(Color.FromArgb(0xff, 0xff, 0x0, 0x0)),
								NormalBrush = new SolidColorBrush(Color.FromArgb(0xff, 0x00, 0x0, 0x0));
		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			if(iRomanNumberDictionary.Instance.ConversionInError)
				return ErrorBrush;

			return NormalBrush;
		}

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
